# 2. 创建自定义资料

## 申请

| 模式   | URL                                                                                                                            |
| ---- | ------------------------------------------------------------------------------------------------------------------------------ |
| POST | <http://127.0.0.1:5555/create-profile-custom>[&#xD;](<http://127.0.0.1:5555/profileList?page=1\&limit=10&#xD;&#xA;&#xD;&#xA;>) |

**Body**

```

// The fields are not required
{
  
  "os": "win",  //win , mac , lin , android
  "userAgent": "",
  "canvas": "noise",  //"noise" or "off"
  "webGLImage": "true", //"true" or "false"
  "audioContext": "true",   //"true" or "false"
  "webGLMetadata": "true",   //"true" or "false"
  "clientRectsEnable": "true",    //"true" or "false"
  "languages": "en-us,vi;q=0.9",
  "resolution": "1024x768",
  "proxy": "HTTP|192.168.1.1|22|username|password",
  "name" : "", //tên profile
  "checkname" : true, //true|false thêm điều kiện check trùng tên khi tạo
  "folder_name" : "ten folder", //check nếu có thì dùng folder đó ko thì sẽ tạo
  "cookies" : [] //mảng cookies
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hidemium.io/api-zi-dong-hua/hu-dong-zi-liao/2.-chuang-jian-zi-ding-yi-zi-liao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
